Skip to main content
GET
/
kb
/
v1
/
knowledge-bases
/
{id}
Get Knowledge Base
curl --request GET \
  --url https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "5f7b1b1b1b1b1b1b1b1b1b1b",
  "status": "trained",
  "description": "Knowledge Base Description",
  "title": "Knowledge Base Title",
  "retrain_frequency_minutes": 1440,
  "docs": [
    {
      "payload": {
        "urls_to_include": [
          {
            "url": "<string>",
            "subpaths_only": false,
            "recursive": false
          }
        ],
        "urls_to_exclude": [
          {
            "url": "<string>",
            "subpaths_only": false,
            "recursive": false
          }
        ]
      }
    }
  ],
  "files": [
    {
      "id": "5f7b1b1b1b1b1b1b1b1b1b1b",
      "name": "some_file.json",
      "type": "file",
      "createdAt": "2020-10-05T00:00:00.000Z",
      "updatedAt": "2020-10-05T00:00:00.000Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

id
string
required

Knowledge Base ID

Response

Successful response

id
string
Example:

"5f7b1b1b1b1b1b1b1b1b1b1b"

status
enum<string>
Available options:
draft,
created,
queued,
training,
trained
Example:

"trained"

description
string
Example:

"Knowledge Base Description"

title
string

A descriptive and human-readable name for the knowledge base

Example:

"Knowledge Base Title"

retrain_frequency_minutes
integer

Automatic retrain interval in minutes

Example:

1440

docs
object[]

Here you can upload URLs

files
object[]